| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
GaudiHandleInfo Class Referenceabstract

`#include <GaudiKernel/GaudiHandle.h>`

Inheritance diagram for GaudiHandleInfo:
[legend]
Collaboration diagram for GaudiHandleInfo:
[legend]

## Public Member Functions
virtual | ~GaudiHandleInfo ()=default
| virtual destructor so that derived class destructor is called. More...
const std::string & | componentType () const
const std::string & | propertyName () const
| name as used in declareProperty(name,gaudiHandle) More...
void | setPropertyName (std::string propName)
| set name as used in declareProperty(name,gaudiHandle). More...
const std::string & | parentName () const
| The name of the parent. More...
virtual std::string | pythonPropertyClassName () const =0
| The python class name for the property in the genconf-generated configurables. More...
virtual std::string | pythonRepr () const =0
| Python representation of handle, i.e. More...

## Protected Member Functions
| GaudiHandleInfo (std::string myComponentType, std::string myParentName)
| Some basic information and helper functions shared between various handles/arrays. More...
void | setComponentType (const std::string &componentType)
| The component type. More...
void | setParentName (const std::string &parent)
| The name of the parent. More...

## Private Attributes
std::string | m_componentType
std::string | m_propertyName
std::string | m_parentName

## Detailed Description

Definition at line 25 of file GaudiHandle.h.

## Constructor & Destructor Documentation

## ◆ GaudiHandleInfo()

GaudiHandleInfo::GaudiHandleInfo | ( | std::string | myComponentType,
|  | std::string | myParentName
| ) |  |
| inline protected

Some basic information and helper functions shared between various handles/arrays.

Parameters

  myComponentType | string indicating what type of component the handle is pointing to. For example: "PublicTool", "PrivateTool", "Service". This is used for printout and on the python side for type checking. On the python side there are classes with these names with "Handle" appended: PublicToolHandle,PrivateToolHandle,ServiceHandle
  myParentName | Name of the parent that has this handle as a member. Used in printout.

Definition at line 35 of file GaudiHandle.h.

36 : m_componentType( std::move( myComponentType ) ), m_parentName( std::move( myParentName ) ) {}
GaudiHandleInfo::m_componentType
std::string m_componentType
Definition: GaudiHandle.h:77
std::move
T move(T... args)
GaudiHandleInfo::m_parentName
std::string m_parentName
Definition: GaudiHandle.h:79

## ◆ ~GaudiHandleInfo()

virtual GaudiHandleInfo::~GaudiHandleInfo | ( |  | ) |
| virtual default

virtual destructor so that derived class destructor is called.

## Member Function Documentation

## ◆ componentType()

const std::string& GaudiHandleInfo::componentType | ( |  | ) | const
| inline

Definition at line 44 of file GaudiHandle.h.

44 { return m_componentType; }
GaudiHandleInfo::m_componentType
std::string m_componentType
Definition: GaudiHandle.h:77

## ◆ parentName()

const std::string& GaudiHandleInfo::parentName | ( |  | ) | const
| inline

The name of the parent.

Definition at line 53 of file GaudiHandle.h.

53 { return m_parentName; }
GaudiHandleInfo::m_parentName
std::string m_parentName
Definition: GaudiHandle.h:79

## ◆ propertyName()

const std::string& GaudiHandleInfo::propertyName | ( |  | ) | const
| inline

name as used in declareProperty(name,gaudiHandle)

Definition at line 47 of file GaudiHandle.h.

47 { return m_propertyName; }
GaudiHandleInfo::m_propertyName
std::string m_propertyName
Definition: GaudiHandle.h:78

## ◆ pythonPropertyClassName()

virtual std::string GaudiHandleInfo::pythonPropertyClassName | ( |  | ) | const
| pure virtual

The python class name for the property in the genconf-generated configurables.

The python class is defined in GaudiPython/python/GaudiHandles.py. To be implemented in derived class.

Implemented in GaudiHandleArrayBase, and GaudiHandleBase.

## ◆ pythonRepr()

virtual std::string GaudiHandleInfo::pythonRepr | ( |  | ) | const
| pure virtual

Python representation of handle, i.e.

python class name and argument. Can be used in the genconf-generated configurables. The corresponding python classes are defined in GaudiPython/GaudiHandles.py. To be implemented in derived class.

Implemented in GaudiHandleArrayBase, and GaudiHandleBase.

## ◆ setComponentType()

void GaudiHandleInfo::setComponentType | ( | const std::string & | componentType | ) |
| inline protected

The component type.

Definition at line 68 of file GaudiHandle.h.

68 { m_componentType = componentType; }
GaudiHandleInfo::m_componentType
std::string m_componentType
Definition: GaudiHandle.h:77
GaudiHandleInfo::componentType
const std::string & componentType() const
Definition: GaudiHandle.h:44

## ◆ setParentName()

void GaudiHandleInfo::setParentName | ( | const std::string & | parent | ) |
| inline protected

The name of the parent.

Definition at line 71 of file GaudiHandle.h.

71 { m_parentName = parent; }
GaudiHandleInfo::m_parentName
std::string m_parentName
Definition: GaudiHandle.h:79

## ◆ setPropertyName()

void GaudiHandleInfo::setPropertyName | ( | std::string | propName | ) |
| inline

set name as used in declareProperty(name,gaudiHandle).

Used in printout.

Definition at line 50 of file GaudiHandle.h.

50 { m_propertyName = std::move( propName ); }
std::move
T move(T... args)
GaudiHandleInfo::m_propertyName
std::string m_propertyName
Definition: GaudiHandle.h:78

## Member Data Documentation

## ◆ m_componentType

std::string GaudiHandleInfo::m_componentType
| private

Definition at line 77 of file GaudiHandle.h.

## ◆ m_parentName

std::string GaudiHandleInfo::m_parentName
| private

Definition at line 79 of file GaudiHandle.h.

## ◆ m_propertyName

std::string GaudiHandleInfo::m_propertyName
| private

Definition at line 78 of file GaudiHandle.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/GaudiHandle.h